"use strict";

const React = require("react");

const defaultStyle = require("./style.css");
const useTheme = require("../../util/themeable");
const generateGridItemStyle = require("../../util/generate-grid-item-style");

module.exports = function Ribbon({ x, y, children }) {
	let { withTheme } = useTheme({ control: "ribbon", defaultStyle });

	return (
		<div className={withTheme("uilibComponent", "ribbon")} style={generateGridItemStyle({ x, y })}>
			{children}
		</div>
	);
};
