"use strict";

function generateSpecification(coordinates) {
	if (coordinates == null) {
		return undefined;
	} else if (Array.isArray(coordinates)) {
		let [ start, end ] = coordinates;

		// NOTE: Exclusive -> inclusive conversion for second coordinate
		return `${start + 1} / ${end + 2}`;
	} else {
		return coordinates + 1;
	}
}

module.exports = function ({ x, y }) {
	return {
		gridColumn: generateSpecification(x),
		gridRow: generateSpecification(y)
	};
};
