"use strict";

const React = require("react");

module.exports = function useDisableSelection() {
	let body = document.querySelector("body");
	let lastSelectSetting = React.useRef();

	return {
		disableGlobalSelection: function () {
			if (body.style.userSelect !== "none") {
				lastSelectSetting.current = body.style.userSelect;
				body.style.userSelect = "none";
			}
		},
		enableGlobalSelection: function () {
			if (body.style.userSelect === "none" && lastSelectSetting.current != null) {
				body.style.userSelect = lastSelectSetting.current;
			}
		}
	};
};
